Get Folder Path
curl --request GET \
--url https://api.tiro.ooo/v1/external/folders/{folderId}/path \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tiro.ooo/v1/external/folders/{folderId}/path"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tiro.ooo/v1/external/folders/{folderId}/path', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "12300",
"title": "Team Root",
"isAccessible": true
},
{
"id": "12345",
"title": "Weekly Team Meetings",
"isAccessible": true
}
]
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}Retrieve the breadcrumb path from the root to the folder, inclusive. The first element is the top-level ancestor and the last element is the folder itself.
Requires a user API key with access to the folder. Ancestors you cannot
access appear with isAccessible: false.
GET
/
v1
/
external
/
folders
/
{folderId}
/
path
Get Folder Path
⌘I